/*
 * Mattermost API Reference
 *
 * There is also a work-in-progress [Postman API reference](https://documenter.getpostman.com/view/4508214/RW8FERUn).
 *
 * The version of the OpenAPI document: 4.0.0
 * Contact: feedback@mattermost.com
 * Generated by: https://openapi-generator.tech
 */

#[derive(Clone, Debug, PartialEq, Default, serde::Serialize, serde::Deserialize)]
pub struct GetPlugins200Response {
    #[serde(rename = "active", skip_serializing_if = "Option::is_none")]
    pub active: Option<Vec<crate::openapi::models::PluginManifest>>,
    #[serde(rename = "inactive", skip_serializing_if = "Option::is_none")]
    pub inactive: Option<Vec<crate::openapi::models::PluginManifest>>,
}

impl GetPlugins200Response {
    pub fn new() -> GetPlugins200Response {
        GetPlugins200Response {
            active: None,
            inactive: None,
        }
    }
}
